Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jserv
Class JServServletManager.ACLObjectInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.ObjectInputStream
                  |
                  +--org.apache.jserv.JServServletManager.ACLObjectInputStream

class JServServletManager.ACLObjectInputStream
extends java.io.ObjectInputStream

When deserializing the sessions during a class loader reload, override the resolveClass() method so that it uses the AdaptiveClassLoader to deserialize the sessions. This has the benefit of allowing objects that are only within the ACL's classpath to be found and deserialized.

Inner classes inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField, java.io.ObjectInputStream.GetFieldImpl`

Fields inherited from class java.io.ObjectInputStream
`abortClassNotFoundException, abortIOException, blockDataMode, buffer, callbacks, classdesc, classes, count, currCode, currentClass, currentClassDesc, currentGetFields, currentObject, data, dis, enableResolve, enableSubclassImplementation, in, INITIAL_BUFFER_SIZE, nextWireOffset, readObjectArglist, recursionDepth, spClass, wireHandle2Object`

Fields inherited from class java.io.InputStream
`SKIP_BUFFER_SIZE, skipBuffer`

Constructor Summary
`(package private)` | `JServServletManager.ACLObjectInputStream(java.io.InputStream bIn)`

Method Summary
`protected java.lang.Class` | `resolveClass(java.io.ObjectStreamClass v)`

Methods inherited from class java.io.ObjectInputStream
`allocateNewArray, allocateNewObject, assignWireOffset, available, close, defaultReadObject, doValidations, enableResolveObject, inputArray, inputClassDescriptor, inputClassFields, inputObject, invokeObjectReader, loadClass0, peekCode, pushbackCode, read, read, readBoolean, readByte, readChar, readCode, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObject, readObjectOverride, readShort, readStreamHeader, readUnsignedByte, readUnsignedShort, readUTF, refill, registerValidation, resetStream, resolveObject, setBlockData, skipBytes, SkipToEndOfBlockData`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### JServServletManager.ACLObjectInputStream

    JServServletManager.ACLObjectInputStream(java.io.InputStream bIn)
                                       throws java.io.IOException

Method Detail

### resolveClass

    protected java.lang.Class resolveClass(java.io.ObjectStreamClass v)
                                    throws java.io.IOException,
                                           java.lang.ClassNotFoundException

  Overrides:
    resolveClass in class java.io.ObjectInputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD